#!/bin/bash
# $1 is the job to run

# In case *_JOB_DIR are relative paths...
baseDir=$(pwd)

cd $RUNNING_JOB_DIR/$1/

script="$(cut -d$'\n' -f1 config)"
startCommit="$(cut -d$'\n' -f2 config)"
startCommit=${startCommit#r}
endCommit="$(cut -d$'\n' -f3 config)"
endCommit=${endCommit#r}

echo "Starting revision setup"

currentCommit=${startCommit}
svn co https://svn.code.sf.net/p/brlcad/code/brlcad/trunk brlcad -r "$startCommit"
cd brlcad/
while ((currentCommit<=endCommit)); do
    mkdir -p ../output/r$currentCommit
    ../$script > ../output/r$currentCommit/stdout.log 2>../output/r$currentCommit/stderr.log
    echo "$?" > ../output/r$currentCommit/returncode.log
    echo "$currentCommit" > ../status
    svn up -r "$((++currentCommit))"
done

cd $baseDir
mv $RUNNING_JOB_DIR/$1 $COMPLETED_JOB_DIR/$1
rm -r $COMPLETED_JOB_DIR/$1/brlcad
